package com.clx.performance.esplus.model;

import lombok.Data;
import org.dromara.easyes.annotation.IndexId;
import org.dromara.easyes.annotation.IndexName;
import org.dromara.easyes.annotation.Settings;
import org.dromara.easyes.annotation.rely.IdType;
import org.elasticsearch.common.geo.GeoPoint;

import java.math.BigDecimal;

@Data
@IndexName(value = "quality_task_info", keepGlobalPrefix = true)
public class TruckTraceESPlus {

    @IndexId(type= IdType.CUSTOMIZE)
    private String id;
    private String truckNo;         //车辆编号
    private BigDecimal angle;       //角度
    private BigDecimal speed;       //速度
    private BigDecimal mileage;     //里程
    private BigDecimal height;      //高度
    private GeoPoint location;      //位置
    private String gpsTime;         //时间
    private String createTime;
    private String modifiedTime;

}